Summary: Scalable distributed SCM
Name: mercurial
Version: 0.6c
Release: %mkrel 1
Source0: http://www.selenic.com/mercurial/release/%{name}-%{version}.tar.bz2
# enhance lib directory name detection
Patch0: mercurial-tests-lib64.patch.bz2
URL: http://www.selenic.com/mercurial/
License: GPL
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: python-devel
BuildRequires: xmlto
BuildRequires: asciidoc

%description
Mercurial is a fast, lightweight source control management system
designed for efficient handling of very large distributed
projects. Features include:

    * O(1) delta-compressed file storage and retrieval scheme
    * Complete cross-indexing of file and changesets for efficient exploration
    of project history
    * Robust SHA1-based integrity checking and append-only storage model
    * Decentralized development model with arbitrary merging between trees
    * High-speed HTTP-based network merge protocol
    * Easy-to-use command-line interface
    * Integrated stand-alone web interface
    * Small Python codebase

%prep
%setup -q
%patch0 -p1

%build
python setup.py build

# build doc
(
cd doc
%make
)

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%_mandir/man1
install -m644 doc/*.1 $RPM_BUILD_ROOT%_mandir/man1/

mkdir -p $RPM_BUILD_ROOT%_mandir/man5
install -m644 doc/*.5 $RPM_BUILD_ROOT%_mandir/man5/

%check
cd tests
./run-tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc notes.txt
%_libdir/python%pyver/site-packages/mercurial
%_bindir/hg*
%_mandir/man*/*

%changelog
* Thu Sep 08 2005 Gaetan Lehmann <glehmann@mandrakesoft.com> 0.6c-1mdk
- New release 0.6c
- generate doc with asciidoc
- make tests
- patch0: better detection of lib name to allow tests to run on 32 bits
  system with a /usr/lib64 directory (like n4 on mandriva cluster)

* Thu Jun  2 2005 Frederic Lepied <flepied@mandriva.com> 0.5b-1mdk
- initial package

# end of file
